extends Node2D

const SPEED = 2000 # 移動速度

var _velocity = Vector2(0, 0) # 移動速度

func _ready() -> void:
	# ランダムで移動量を決める.
	_velocity.x = rand_range(-1, 1)
	_velocity.y = rand_range(-1, 1)

func _process(delta: float) -> void:
	if position.x < 0:
		position.x = 0
		_velocity.x *= -1 # X反転
	if position.y < 0:
		position.y = 0
		_velocity.y *= -1 # Y反転
	if position.x > 1024:
		position.x = 1024
		_velocity.x *= -1 # X反転
	if position.y > 600:
		position.y = 600
		_velocity.y *= -1 # Y反転
	
	var speed = SPEED
	
	"""
	# オブジェクト内でスロー再生する場合
	if Input.is_action_pressed("ui_accept"):
		# スペースキーを押していたらスローにする
		speed *= 0.1
	"""
	
	position += _velocity * speed * delta

	
